<?php

namespace PhpLife;

// 设置自动加载
spl_autoload_register('\PhpLife\Autoload::main');

class Autoload
{
    /**
     * 自动加载
     * @param $className
     */
    public static function main($className)
    {
        $file = trim($className, '\\');
        $file = explode('\\', $file);
        // 判断顶级命名空间
        $path = __DIR__;
        $topNameSpace = array_shift($file);
        if ($topNameSpace != 'PhpLife') {
            $path = $path . DIRECTORY_SEPARATOR . 'Vendor' . DIRECTORY_SEPARATOR . $topNameSpace;
        }
        $file = $path . DIRECTORY_SEPARATOR . implode(DIRECTORY_SEPARATOR, $file) . '.php';
        if (is_file($file)) {
            require_once($file);
        }
    }
}
